package com.seer.teach.teacher.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.seer.teach.teacher.module.entity.KnowledgePointEntity;

import java.util.Collection;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 知识点表 服务类
 * </p>
 *
 * @author Wang
 * @since 2025-10-09 15:20:36
 */
public interface KnowledgePointService extends IService<KnowledgePointEntity> {

    List<KnowledgePointEntity> getKnows(List<Integer> ids);

    /**
     * 根据知识点ID列表获取知识点信息列表
     * 
     * @param ids 知识点ID列表
     * @return 知识点实体列表
     */
    List<KnowledgePointEntity> getKnowsByIds(Collection<Integer> ids);

    HashMap<Integer,Integer> getGradeIdWithKnowId(List<Integer> knowIds);

    Integer getGradeIdByKnowId(Integer knowId);
}
